
Application: gvSIG desktop - gvSIG bugs #2584
Al cargar algunos WMS tarda varios minutos en habilitarse el boton de siguiente.
06/19/2014 08:09 AM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: CRS
Target version: 2.1.0-2230-testing
Severity: Blocker Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

El introducir la URL del servidor WMS y darle al boton conectar, tarda varios minutos en habilitarse el boton de siguiente.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2392: Can't delete CRS t... Closed 02/26/2014
Related to Application: gvSIG desktop - gvSIG bugs # 2659: unable to load dat... Closed 07/09/2014

History
#1 - 06/19/2014 08:11 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #2392: Can't delete CRS temporary database folder added

#2 - 06/19/2014 08:19 AM - Joaquín  del Cerro Murciano

Al parecer esta relacionado con la correccion del ticket #2392. Ademas de cerrar la conexion se estaba haciendo un shutdown de la BBDD. 
Ahora cuando se deja de usar la conexion se cierra sin hacer shutdown y se hace el shutdown al salir de la aplicacion antes de intentar eliminar los
ficheros.

Ademas se ha recuperado un codigo que habia en comentarios para cachear las proyecciones y no tener que ir a la BBDD cada vez que se pide una.
Se ha introducido una propiedad en CrsFactory, setEnableMemoryCacheOfCRS/isEnableMemoryCacheOfCRS para activar o desactivar la cache de
proyecciones en el metodo getCRS.

#3 - 06/19/2014 08:20 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#4 - 06/27/2014 09:49 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2230-testing

#5 - 07/02/2014 04:37 AM - Álvaro Anguix
- Status changed from Fixed to Closed

#6 - 07/09/2014 05:28 AM - Álvaro Anguix
- Related to gvSIG bugs #2659: unable to load data from GeoServer through WMS added
